# \[JavaScript SDK] CDN Address Change Notice

The CDN address used when integrating the JavaScript SDK via HTML script has been changed from an external address to one managed internally by Hackle.

Please update to the new CDN address for stable service. (The existing CDN address will continue to work.)

#### Previous CDN Address

* <https://cdn.jsdelivr.net>
* <https://fastly.jsdelivr.net>

#### New CDN Address

* [https://cdn2.hackle.io](https://www.hackle.io)

## How to Update

![](/files/nQX9JUjCri0R8SX3Wq7n)

Only change the Host portion at the beginning of the URL to the new CDN address.

#### SDK Initialization

```html
<!-- Add inside head tag as before -->
<script src="https://cdn2.hackle.io/npm/@hackler/javascript-sdk@11.35.0/lib/index.browser.umd.min.js"></script>
<script>
  // Initialize with YOUR_BROWSER_SDK_KEY
  window.hackleClient = Hackle.createInstance("YOUR_BROWSER_SDK_KEY");
</script>
```

#### If you are using the User Explorer (DevTools) feature

```html
<script src="https://cdn2.hackle.io/npm/@hackler/javascript-devtools@1.0.3/lib/index.browser.umd.min.js"></script>
<script>
  const config = {
    devTool: HackleDevTools.default,
  };

  // Initialize with YOUR_BROWSER_SDK_KEY
  const hackleClient = Hackle.createInstance(YOUR_BROWSER_SDK_KEY, config);

  // Trigger this when you want to show the User Explorer.
  hackleClient.showUserExplorer()

  // Trigger this when you want to close the User Explorer.
  hackleClient.hideUserExplorer()

</script>
```

#### If you are using GTM

1. Go to the relevant container at <https://tagmanager.google.com/>.
2. Select Templates > Hackle Browser SDK.

   ![](/files/ShUZvgSXjstzNJvjkqQs)
3. Check the CDN address in the Code tab.

   If the address starts with `https://cdn2.hackle.io`, you are using the latest template version and do not need to proceed with the steps below.

   If the address starts with `https://cdn.jsdelivr.net` or another address, follow the guide below to update it.

   ![Before change](/files/iTpz6Oazb8s5cLQ7jq2p)

   ![After change](/files/nxE8LKuJOarxFBE3oSXF)

   Before: `https://cdn.jsdelivr.net`\
   After: `https://cdn2.hackle.io`
4. In the Permissions tab > Injects scripts, add `https://cdn2.hackle.io/*`.\
   \&#xNAN;**(Note: Do not remove the existing address — only add the new address)**

   ![](/files/7xJmmipKNTAlcuDbnQhK)
5. Click `Save` in the upper right corner to save.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hackle.io/en/development-guide/troubleshooting/javascript-sdk-cdn-domain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
